Ruby: pm_interpolated_match_last_line_node Struct Reference

Ruby 3.3.6p108 (2024-11-05 revision 75015d4c1f6965b5e85e96fb309f1f2129f933c0)

Data Fields
pm_interpolated_match_last_line_node Struct Reference

InterpolatedMatchLastLineNode. More...

`#include <ast.h>`

## Data Fields
pm_node_t | base
| The embedded base node.
pm_location_t | opening_loc
| InterpolatedMatchLastLineNode#opening_loc.
struct pm_node_list | parts
| InterpolatedMatchLastLineNode#parts.
pm_location_t | closing_loc
| InterpolatedMatchLastLineNode#closing_loc.
Data Fields inherited from pm_node
pm_node_type_t | type
| This represents the type of the node.
pm_node_flags_t | flags
| This represents any flags on the node.
pm_location_t | location
| This is the location of the node in the source.

## Detailed Description

InterpolatedMatchLastLineNode.

Type: PM_INTERPOLATED_MATCH_LAST_LINE_NODE Flags: PM_REGULAR_EXPRESSION_FLAGS_IGNORE_CASE PM_REGULAR_EXPRESSION_FLAGS_EXTENDED PM_REGULAR_EXPRESSION_FLAGS_MULTI_LINE PM_REGULAR_EXPRESSION_FLAGS_ONCE PM_REGULAR_EXPRESSION_FLAGS_EUC_JP PM_REGULAR_EXPRESSION_FLAGS_ASCII_8BIT PM_REGULAR_EXPRESSION_FLAGS_WINDOWS_31J PM_REGULAR_EXPRESSION_FLAGS_UTF_8 PM_REGULAR_EXPRESSION_FLAGS_FORCED_UTF8_ENCODING PM_REGULAR_EXPRESSION_FLAGS_FORCED_BINARY_ENCODING PM_REGULAR_EXPRESSION_FLAGS_FORCED_US_ASCII_ENCODING

Definition at line 3022 of file ast.h.

## Field Documentation

## ◆ base

pm_node_t pm_interpolated_match_last_line_node::base

The embedded base node.

Definition at line 3024 of file ast.h.

## ◆ closing_loc

pm_location_t pm_interpolated_match_last_line_node::closing_loc

InterpolatedMatchLastLineNode#closing_loc.

Definition at line 3033 of file ast.h.

## ◆ opening_loc

pm_location_t pm_interpolated_match_last_line_node::opening_loc

InterpolatedMatchLastLineNode#opening_loc.

Definition at line 3027 of file ast.h.

## ◆ parts

struct pm_node_list pm_interpolated_match_last_line_node::parts

InterpolatedMatchLastLineNode#parts.

Definition at line 3030 of file ast.h.

Referenced by pm_node_destroy().

The documentation for this struct was generated from the following file:

- prism/ast.h